petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscTokenCreate

Creates a PetscToken used to find tokens in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscTokenCreate(const char a[],const char b,PetscToken *t)

Not Collective

### Input Parameters

| string | - the string to look in
| b | - the separator character

### Output Parameter

t -the token object

### Notes

This version is different from the system version in that it allows you to pass a read-only string into the function.

Not for use in Fortran

### See Also

PetscTokenFind(), PetscTokenDestroy()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages